## Name

plq_lft — Piecewise linear quadratic (plq), Legendre-Fenchel conjugate

## Calling Sequence

    plqfstar = plq_lft(plqf)

## Parameters

plqf

  matrix. A plq function with dimensions n x 4.

plqfstar

  matrix. A plq function with dimensions n x 4.

## Description

<listitem>

Compute the Legendre-Fenchel transform (LFT) of a convex plq function, where the input and output are given in the form of a plq matrix.

</listitem>

## Examples

    //Example 1.
    plqf=[0,1,0,0;1,0,1,0;%inf,3, -4, 2];
    result= plq_lft(plqf);

    //Example 2.
    //Building a plq function from the exponential function. i.e. plq_lft function requires a plq function as input, therefore we must build it.
    plqf=plq_build(linspace(-2,2,10),exp,exp,%f);
    x=linspace(0,4)'; result= plq_lft(plqf);  y=plq_eval(plqf,x);
    plot2d(x,y);

## See Also

plq_function

## Authors

`Yves Lucet`, University of British Columbia, BC, Canada